/////////////////////////////////////////////////////////////
//                                                         //
// Copyright (c) 2003-2011 by The University of Queensland //
// Earth Systems Science Computational Centre (ESSCC)      //
// http://www.uq.edu.au/esscc                              //
//                                                         //
// Primary Business: Brisbane, Queensland, Australia       //
// Licensed under the Open Software License version 3.0    //
// http://www.opensource.org/licenses/osl-3.0.php          //
//                                                         //
/////////////////////////////////////////////////////////////

/*!
  constructor

  \param mesh_p
  \param ppa_p
*/
template <class ParticleType> 
Mesh2D_PIS<ParticleType>::Mesh2D_PIS(Mesh2D* mesh_p,ParallelParticleArray<ParticleType>* ppa_p):
  AParallelInteractionStorage(ppa_p)
{
  m_mesh=mesh_p;
  m_exIG=NULL;
}

template <class ParticleType> 
Mesh2D_PIS<ParticleType>::~Mesh2D_PIS()
{}

/*!
  add excluding IG

  \param exig_p
*/
template <class ParticleType> 
void Mesh2D_PIS<ParticleType>::addExIG(AParallelInteractionStorage* exig_p)
{
  m_exIG=exig_p;
}

template <class ParticleType> 
AFieldSlave* Mesh2D_PIS<ParticleType>::generateNewScalarFieldSlave(TML_Comm*,const string&,int,int,int,int)
{
  AFieldSlave* new_fs=NULL;

  return new_fs;
}

template <class ParticleType> 
AFieldSlave* Mesh2D_PIS<ParticleType>::generateNewVectorFieldSlave(TML_Comm*,const string&,int,int,int,int)
{
  AFieldSlave* new_fs=NULL;

  return new_fs;
}

template <class ParticleType> 
void Mesh2D_PIS<ParticleType>::saveCheckPointData(std::ostream& ost)
{
  console.Error() << "Mesh2D_PIS<ParticleType>::saveCheckPointData NOT IMPLEMENTED\n";
}

template <class ParticleType> 
void Mesh2D_PIS<ParticleType>::loadCheckPointData(std::istream& ost)
{
  console.Error() << "Mesh2D_PIS<ParticleType>::loadCheckPointData NOT IMPLEMENTED\n";
}
